For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
          • Store Settings
            • GETList Available Currencies
            • GETList Store-Level Order Statuses
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontStore Settings

List Available Currencies

GET
https://api-b2b.bigcommerce.com/api/v2/stores/currencies
GET
/api/v2/stores/currencies
$curl -G https://api-b2b.bigcommerce.com/api/v2/stores/currencies \
> -H "Authorization: Bearer <token>" \
> -d channelId=123456 \
> -d storeHash=abc123
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {
5 "currencies": [
6 {
7 "id": 2,
8 "is_default": true,
9 "country_iso2": "US",
10 "last_updated": "Tue, 14 Feb 2023 21:02:15 +0000",
11 "default_for_country_codes": [
12 "US",
13 "CA",
14 "GB"
15 ],
16 "currency_code": "USD",
17 "currency_exchange_rate": "1.3540000",
18 "name": "US Dollar",
19 "token": "$",
20 "auto_update": true,
21 "token_location": "left",
22 "decimal_token": ".",
23 "thousands_token": ",",
24 "decimal_places": 2,
25 "enabled": true,
26 "is_transactional": true
27 }
28 ],
29 "channelCurrencies": {
30 "channel_id": 123456,
31 "enabled_currencies": [
32 "USD",
33 "GBP",
34 "IQD"
35 ],
36 "default_currency": "USD"
37 },
38 "entered_inclusive_tax": true
39 }
40}
Returns a list of the currencies currently enabled on a BigCommerce store. If the `channelId` parameter is provided, the response will also include a list of currencies currently enabled for the associated storefront channel. **Note:** This endpoint is available with or without a Bearer Token. To use the endpoint without a token, the `storeHash` parameter is required. Equivalent Storefront GraphQL API Query: `currencies`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

Store Settings

Next

List Store-Level Order Statuses

Built with

Returns a list of the currencies currently enabled on a BigCommerce store. If the channelId parameter is provided, the response will also include a list of currencies currently enabled for the associated storefront channel.

Note: This endpoint is available with or without a Bearer Token. To use the endpoint without a token, the storeHash parameter is required.

Equivalent Storefront GraphQL API Query: currencies. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Query parameters

channelIdstringOptional

The ID for a specific storefront channel. Including this parameter adds a list of channel-specific currencies to the response.

storeHashstringOptional
The unique store hash for the BigCommerce store. If a Bearer Token is provided with the request, the store's information is pulled using the token, and including the parameter will have no effect. If the Bearer Token is omitted this parameter is required to complete the request.

Response

OK
codeintegerDefaults to 200
HTTP response code for the request.
messagestringDefaults to SUCCESS
Message indicating the status of the request.
dataobject
Data associated with the response.

Errors

400
Bad Request Error